package com.FranckBarbier.Java._Customer_management_client;

@javax.ejb.Singleton
@javax.ejb.Startup
public class Client {

    @javax.annotation.PostConstruct
    public void initialization() {
        try {
            javax.naming.Context jndi_context = new javax.naming.InitialContext();
            com.FranckBarbier.Java._Customer_management.Customer_managementRemote cm = (com.FranckBarbier.Java._Customer_management.Customer_managementRemote) jndi_context.lookup("Customer_management+");
            cm.insert_customer("B1", "Nicolas", "UMP", "Paris");
            cm.insert_customer("B1", "Ségolène", "PS", "Paris");
            cm.delete_customer("B1", "Nicolas");
            System.out.println(cm.view_customer("B1", "Nicolas"));
            System.out.println(cm.view_customer("B1", "Ségolène"));
            cm.delete_customer("B1", "Ségolène");
            jndi_context.close();
        } catch (Throwable t) {
            t.printStackTrace();
        }
    }
}
